---
languages:
  - en
  - cs
---
# Rclone
This guide serves for rclone tool configuration. Rclone is the swiss knife for connection to multiple types of storage. However, the following guides are limited only to Object Storage namely S3 service. The following guides are suited for Windows users as well as Linux users. Using rclone tool for S3 enables the creation of the buckets, syncing folders, uploading and downloading files, and much more.

## Downloading and installation of rclone tool
Firstly you need to download and unzip the desired [rclone](https://rclone.org/downloads/) version according to the system you operate.

> :warning: **We strongly recommend** to use up-to-date versions of rclone tool available at [rclone websites](https://rclone.org/downloads/). Using rclone version from system repositories can cause some errors due to the outdated rclone version. In case of a manual installation into the user profile, see below, you can use for an update following command:
**```rclone selfupdate```**

----

### Linux - manual installation into the user profile

We need to unzip the [rclone archive](https://rclone.org/downloads/) after download.

```unzip rclone-v1.59.1-linux-amd64.zip```

Then we need to copy rclone binary file into the pre-prepared bin folder in the user profile/home.

```cp ./rclone-v1.59.1-linux-amd64/rclone /home/user/bin/```

In the last step, we need to put the path to the rclone binary file into PATH environment variable.

```PATH=/home/user/bin:$PATH```


> :bulb: For **persistent presence** of the rclone binary file path in the PATH variable you can add the following line into **.bashrc file**:
> 
> ```echo 'PATH=/home/user/bin:$PATH' >> .bashrc```
> 
> Alternatively you can place the rclone binary file into the system path:
> 
> ```/usr/local/bin```

In the end, we can make a quick check of PATH variable, whether the desired path is present.

```echo $PATH```

> :warning: In case you have installed the rclone using the steps above, you can then use the following command to update rclone:
> **```rclone selfupdate```**
> ```2022/08/25 11:54:07 NOTICE: Successfully updated rclone from version v1.59.0 to version v1.59.1```

----

### Windows - manual installation in to user profile

Firstly you need to prepare `bin` directory in your user profile, where we will place rclone.exe file. Please prepare the directory in your user profile. You can just put the following command into the file browser:

```%USERPROFILE%```

In the displayed directory you can click right mouse button -> **New** –> **Directory/Folder**. The directory should be named **bin**. Then move the **rclone.exe** file into it. The file **rclone.exe** is present in the unzipped rclone archive, which you downloaded from the [rclone websites](https://rclone.org/downloads/).

In the next step click to **Start (1)** and search for **Edit the system environment variables (2)**.
![](rclone-screenshots/rclone-path-win1.png)

Then click at **Environment variables (1)** in the displayed window.
![](rclone-screenshots/rclone-path-win2.png)

In the section User variables for **UserXY (1)** you will select the line with variable **Path (2)** and then you will click on the **Edit (3)** button.
![](rclone-screenshots/rclone-path-win3.png)

You can add the new path by clicking on the **New (1)** button and then you have to insert the path to the pre-prepared **“bin” folder (2)**, see below. The setup is then confirmed by clicking on the **OK (3)** button.

```%USERPROFILE%\bin```

![](rclone-screenshots/rclone-path-win4.png)


In the end, you will click **OK** and **Apply**.

> :warning: In case you have installed the rclone using the steps above, you can then use the following command to update rclone:
> **```rclone selfupdate```**
> ```2022/08/25 11:54:07 NOTICE: Successfully updated rclone from version v1.59.0 to version v1.59.1```
